Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2605 - afs access broken with gmc
Summary: afs access broken with gmc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mc
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Mason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-06 18:57 UTC by Michael Fulbright
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 22:50:53 UTC


Attachments (Terms of Use)

Description Michael Fulbright 1999-05-06 18:57:41 UTC
> > When I startup gmc in the default session from a RedHat
6.0 install, it
> > appears to be trying to stat all of the sites under
/afs. This causes
> > AFS to hang while it times out on sites that aren't
available. I'm not
> > sure if the stat of /afs is happening as it tries to
descend to a user's
> > home directory, but this renders it virtually unusable.
>
> Does your gmc distribution include the file
/etc/mc.global?
>
> Miguel.

Found the problem!

The RedHat spec defines a prefix of /usr, so that mc + gmc
are looking
for the mc.global file in
/usr/etc/mc.global.

I softlinked /etc/mc.global to /usr/etc/mc.global and gmc
now works
fine.

Changing the %prefix to "" changes the location to
/etc/mc.global, but
then changes the location in which to install all of the
binaries to
/bin from /usr/bin.

NOTE: In the Make.common file, the C preprocessor macro
CONFDIR is
defined in Make.common to be $(confdir) which is
$(prefix)/etc. This
appears to be where it is looking for mc.global.
Do you want CONFDIR to be $(confdir) or $(sysconfdir)?

I'm going to try changing the RPM SPEC file to install
mc.global in
${RPM_BUILD_ROOT}/%{prefix}/etc and see if that works by
default.

--Murray Anderegg

Comment 1 Elliot Lee 1999-08-31 22:50:59 UTC
This problem is fixed in the latest mc package (mc-4.5.38-1).


Note You need to log in before you can comment on or make changes to this bug.